Bug 1123395 - vdsm on SPM crashes during RHS failover delay
Summary: vdsm on SPM crashes during RHS failover delay
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Nir Soffer
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:09 UTC by Allie DeVolder
Modified: 2019-04-28 09:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 12:32:07 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Description Allie DeVolder 2014-07-25 14:09:40 UTC
Description of problem:
The customer disconnected an RHS node to perform maintenance, resulting in the 42 second timeout period in RHS for failover to occur. During this hang on the storage, Sanlock reported errors and vdsm crashed on the SPM. Other hosts weren't affected.

Version-Release number of selected component (if applicable):


How reproducible:
Unknown

Steps to Reproduce:
1. Create RHEV storage domain using RHS storage with 2 nodes.
2. Shut down one of the RHS nodes, triggering the 42 s timeout for failover

Actual results:
SPM reports sanlock errors, and vdsm crashes and respawns, finally resulting in a fencing event

Expected results:
Paused VMs, latency warnings in Events tab, followed by recovery


Note You need to log in before you can comment on or make changes to this bug.